<?php 
$carousel_id = 'carousel-'.rand(0, 1000); 
if (!empty($settings['slides'])) { ?>

<div id="<?=$carousel_id?>" class="carousel slide" data-ride="carousel">

	<ol class="carousel-indicators">
	<?php 
	$active = ' class="active"';
	if ($settings['has_indicators']) foreach($settings['slides'] as $n => $slide) {
		echo '<li data-target="#'.$carousel_id.'" data-slide-to="'.$n.'"'.$active.'></li>';
		$active = '';
	} ?>
	</ol>

	<div class="carousel-inner" role="listbox">
	<?php 
	$active = ' active';
	foreach($settings['slides'] as $slide) {
		echo '<div class="item'.$active.'" style="background-image: url('.$slide['image'].'); padding-top: '.
			(100/$settings['aspect_ratio']).'%">';
		if (!($slide['text'] == '' && $slide['href'] == '')) {
			echo '<div class="carousel-caption">';
			if ($slide['text'] != '') echo '<h3>'.$slide['text'].'</h3>';
			if ($slide['btn_text'] == '') $slide['btn_text'] = 'Подробнее';
			if ($slide['href'] != '') echo '<a class="btn btn-default" href="'.$slide['href'].'">'.$slide['btn_text'].'</a>';
			echo '</div>';
		}
		echo '</div>';
		$active = '';
	} ?>
	</div>

	<?php if ($settings['has_arrows']) { ?>
	<a class="left carousel-control" href="#<?=$carousel_id?>" role="button" data-slide="prev">
		<span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
		<span class="sr-only">Предыдущий слайд</span>
	</a>
	<a class="right carousel-control" href="#<?=$carousel_id?>" role="button" data-slide="next">
		<span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
		<span class="sr-only">Следующий слайд</span>
	</a>
	<?php } ?>
</div>

<?php if ($settings['has_previews']) {
	echo '<ul class="carousel-thumbs">';
	foreach ($settings['slides'] as $n => $slide) {
		echo '<li data-target="#'.$carousel_id.'" data-slide-to="'.$n.'" style="background-image: url('.$slide['image'].')"></li>';
	}
	echo '</ul>';
} ?>

<?php } ?>